# std::bad_cast Class Reference

Inheritance diagram for std::bad_cast:

[legend]
Collaboration diagram for std::bad_cast:

[legend]
List of all members.

## Detailed Description

If you attempt an invalid `dynamic_cast` expression, an instance of this class (or something derived from this class) is thrown.

Definition at line 129 of file typeinfo.

The documentation for this class was generated from the following file:

- typeinfo